﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        Select File: 
        <asp:DropDownList runat="server" ID="ddlFiles" onchange="DownloadFile(this.value)">
            <asp:ListItem Text="" Value="" />
            <asp:ListItem Text="Sample.pdf" Value="Sample.pdf" />
            <asp:ListItem Text="Sample.docx" Value="Sample.docx" />
            <asp:ListItem Text="Sample.xlsx" Value="Sample.xlsx" />
            <asp:ListItem Text="Sample.txt" Value="Sample.txt" />
            <asp:ListItem Text="Sample.jpg" Value="Sample.jpg" />
        </asp:DropDownList>
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script>
        <script type="text/javascript">
            function DownloadFile(fileName) {
                //Set the File URL.
                var url = "Files/" + fileName;

                $.ajax({
                    url: url,
                    cache: false,
                    xhr: function () {
                        var xhr = new XMLHttpRequest();
                        xhr.onreadystatechange = function () {
                            if (xhr.readyState == 2) {
                                if (xhr.status == 200) {
                                    xhr.responseType = "blob";
                                } else {
                                    xhr.responseType = "text";
                                }
                            }
                        };
                        return xhr;
                    },
                    success: function (data) {
                        //Convert the Byte Data to BLOB object.
                        var blob = new Blob([data], { type: "application/octetstream" });

                        //Check the Browser type and download the File.
                        var isIE = false || !!document.documentMode;
                        if (isIE) {
                            window.navigator.msSaveBlob(blob, fileName);
                        } else {
                            var url = window.URL || window.webkitURL;
                            link = url.createObjectURL(blob);
                            var a = $("<a />");
                            a.attr("download", fileName);
                            a.attr("href", link);
                            $("body").append(a);
                            a[0].click();
                            $("body").remove(a);
                        }
                    }
                });
            };
        </script>
    </form>
</body>
</html>
